uses venomgfx,lacrt;
var v1,v2,v3,v4:virtualwindow;
    a,b:longint;
    x1,x2:longint;
    d:dword;

begin

Init_graph(find_mode(800,600),BANK_ACCESS);

SetScanLineLength(1024);

Load_image('fulinci.bmp',v1);

Load_Image('woman.bmp',v2);

{Init_Mouse(vga);
MouseShow;}

{BankShowTestScreen(vga,64000,500);
debug;

Flip_VW(v2,vga);
debug;}


PutPixel(vga,400,300,65535);


for b:=300 to 450 do
    for a:=400 to 550 do PutPixel(vga,a,b,500);


debug;
clr(vga,700);
debug;

(*

a:=0;
b:=0;

x1:=231;

x2:=x1+480-1;

d:=FromTimer;
repeat until FromTimer=d;

repeat

{Bar(vga,x1,0,x2,480,b);}

PutSprite(vga,v1,0,0);

inc(b);

until TimerTicksFrom(d,70);

outtext(vga,10,500,mystr(b),65525);

debug;

*)
kill_vw(v1);
kill_vw(v2);
kill_graph;

end.
